/*
 * Copyright (c) 1998-2008 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */
package com.teamdev.xpcom.mozilla.demo;

import java.util.EventObject;

import com.teamdev.jxbrowser.WebBrowser;

public class ProgressStateEvent extends EventObject
{
    private int _currentProgressState;

    private int _maxProgressState;

    public ProgressStateEvent(WebBrowser webBrowser, int currentProgressState, int maxProgressState)
    {
        super(webBrowser);
        _currentProgressState = currentProgressState;
        _maxProgressState = maxProgressState;
    }

    public WebBrowser getWebBrowser()
    {
        return (WebBrowser) getSource();
    }

    public int getCurrentProgressState()
    {
        return _currentProgressState;
    }

    public int getMaxProgressState()
    {
        return _maxProgressState;
    }

}
