/*
 * Copyright (c) 1998-2008 TeamDev Ltd. All Rights Reserved.
 * Use is subject to license terms.
 */
package com.teamdev.xpcom.mozilla.demo.components.icon;

import javax.swing.Icon;

/**
 * Functionality for load icons from Ms Icon format
 * 
 * @author Roman Lymar
 * 
 */
public interface IconLoader
{
    /**
     * Loads and parse icon from URL resource
     * 
     * @param url
     *            an URL where icon located
     * @return initialized icon object
     */
    Icon loadFromURL(String url);
}
